Copyright: distributable
Source: rhl-sg-en-%{version}.tbz
Release: 2
Name: rhl-sg-en
Group: Documentation
Version: 8.0
Summary: The Red Hat Linux %{version} Security Guide in HTML format.
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: htmlview

%description 

The Official Red Hat Linux %{version} Security Guide provides
comprehensive information about creating and maintaining secure Red
Hat Linux systems. This guide details how to secure workstations and
servers against malicious intruders, verify system security, detect
security breaches, and react to an intrusion in the event one occurs.

The %{name} package contains the Official Red Hat Linux %{version} 
Security Guide in HTML format.  PDF, RPM, HTML tarball, and
browsable HTML formats are available from the Red Hat Docs web page at
http://www.redhat.com/docs/.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install

mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Security Guide
Comment=Read about securing your system
Exec=htmlview file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/%{_defaultdocdir}/%{name}-%{version}/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/applications/%{name}.desktop
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Tue Sep 03 2002 Tammy Fox <tfox@redhat.com> 8.0-2
- Reword desktop file to be consistent

* Mon Sep 02 2002 Tammy Fox <tfox@redhat.com> 8.0-1
- Build for 8.0

* Wed Jul 24 2002 Tammy Fox <tfox@redhat.com>
- Build for 7.3.93
